## kali-themes 2025.3.0

=== debian/changelog ===
kali-themes (2025.3.0) kali-dev; urgency=medium

  * Icons: Update icons from kali-menu refresh
  * Icons: Add few icons for kali-tools top100
  * GTK3: Fix unreadable buttons with light theme in xfce4 lock display
  * GTK3: Unify CSS code for lightdm and xfce4 lock-screen
  * Xfce: Add onscreen keyboard for xfce4 lock screen
  * Force install of new config file
  * Icons: Add more icons for kali-tools top100
  * Icons: fix/update some icons from kali-menu

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 13 Jun 2025 09:08:03 +0200

kali-themes (2025.2.5) kali-dev; urgency=medium

  * Remove old icons for kali-menu categories
  * Fix typo

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 21 May 2025 11:59:11 +0200

kali-themes (2025.2.4) kali-dev; urgency=medium

  * Revert "Icons: Remove apps/symbolic as they are no longer used by GNOME"
  * Update icon theme index.theme
  * Add symlink icon for papers
  * Show line numbers in gnome-text-editor

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 16 May 2025 12:28:56 +0200

kali-themes (2025.2.3) kali-dev; urgency=medium

  * Fix firefox already runnig error

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 14 May 2025 15:16:18 +0200

kali-themes (2025.2.2) kali-dev; urgency=medium

  * Xfce: Adjust whiskermenu height to new categories
  * Fix package version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 13 May 2025 09:58:17 +0200

kali-themes (2025.2.1) kali-dev; urgency=medium

  * Add panel vpn-ip extension for gnome-shell

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 16 Apr 2025 16:59:51 +0200

kali-themes (2025.2.0) kali-dev; urgency=medium

  * Gnome-Shell: Update upstream code for version 48.0
  * Gnome-Shell: Update theme tweaks
  * Gnome-Shell: update colors
  * Gnome-Shell: generate themes
  * Bump minimum gnome-shell version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 28 Mar 2025 11:21:13 +0100

kali-themes (2025.1.11) kali-dev; urgency=medium

  * Ignore error in kali-themes-purple.postinst if disabled folder already exists

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 19 Feb 2025 23:10:04 +0100

kali-themes (2025.1.10) kali-dev; urgency=medium

  * Remove no longer needed _JAVA_OPTIONS env variable

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 19 Feb 2025 22:01:50 +0100

kali-themes (2025.1.9) kali-dev; urgency=medium

  * Xfce: fix default background in Kali Purple
  * Add verbose parameter

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Feb 2025 10:18:46 +0100

kali-themes (2025.1.8) kali-dev; urgency=medium

  * GTK3: make lightdm dialog entries opaque

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 11 Feb 2025 13:13:20 +0100

kali-themes (2025.1.7) kali-dev; urgency=medium

  * Grub: Update boot menu background
  * Configure new backgrounds
  * Set wallpaper package depends to 2025 version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Feb 2025 13:01:01 +0100

kali-themes (2025.1.6) kali-dev; urgency=medium

  * Xfce: update keyboard shortcuts

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 Jan 2025 13:44:33 +0100

kali-themes (2025.1.5) kali-dev; urgency=medium

  * Xfce: fix super key not working with xfwm4

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 13 Jan 2025 13:40:01 +0100

kali-themes (2025.1.4) kali-dev; urgency=medium

  * Update qterminal shortcuts

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 10 Jan 2025 10:28:47 +0100

kali-themes (2025.1.3) kali-dev; urgency=medium

  * Icons: fix image-viewer icon for kde
  * Xfce: divert default background

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 08 Jan 2025 15:09:06 +0100

kali-themes (2025.1.2) kali-dev; urgency=medium

  * Fix path for qterminal color-schemes
  * Xfce: add padding to panel workspace buttons

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 30 Dec 2024 12:21:18 +0100

kali-themes (2025.1.1) kali-dev; urgency=medium

  * Configure KDE nad Xfce menu favorites
  * Remove old code in kali-themes.postinst
  * Icons: Update symbolic icons from Papirus icon theme
  * Icons: Update index.theme files
  * Icons: Update index.theme for all themes
  * Icons: Remove old panel and symbolic icons
  * Icons: Remove apps/symbolic as they are no longer used by GNOME
  * Icons: Add extra app icons
  * Icons: Add extra app icons symlinks
  * Make lintian happy

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 17 Dec 2024 10:22:44 +0100

kali-themes (2025.1.0) kali-dev; urgency=medium

  * Add new boot menu backgrounds
  * Generate boot menu backgrounds
  * Improve boot menu shadows
  * KDE: update look-and-feel themes for Plasma 6
  * KDE: replace desktop file with json metadata for wallpaper info
  * KDE: update website in look-and-feel themes json metadata
  * KDE: update desktoptheme metadata
  * KDE: update scripts pointing to old metadata.desktop files
  * KDE: Use same panel favorites as in Xfce
  * KDE: set background image in look-and-feel themes
  * KDE: use new name for look-and-feel themes
  * Update script to set KDE wallpaper to look-and-feel theme
  * Gnome-Shell: Update upstream code for version 47.2
  * Gnome-Shell: Updates for 47.2
  * Gnome-Shell: Regenerate themes
  * KDE: change panel menu icon
  * Force update of new conf files and remove no longer needed ones
  * Revert to 2024 boot menu for now
  * Remove old plasma conf script
  * Remove old diverted file in kali-themes-mobile

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 10 Dec 2024 10:47:02 +0100

kali-themes (2024.4.11) kali-dev; urgency=medium

  * Gnome-Shell: disable tiling-assistant raise-tile-group

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sat, 26 Oct 2024 23:06:58 +0200

kali-themes (2024.4.10) kali-dev; urgency=medium

  * Move Kali Purple env variables to profile.d

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 21 Oct 2024 10:25:05 +0200

kali-themes (2024.4.9) kali-dev; urgency=medium

  * Move env variables to /etc/profile.d



## kali-themes 2025.3.3

=== Makefile ===
SUBDIRS=emblems kali-logos xfce-panel-profiles
DESKTOP_BACKGROUND=kali-tiles.jpg
DESKTOP_BACKGROUND_PURPLE=kali-tiles-purple.jpg
LOGIN_BACKGROUND=kali-maze.jpg

build:
	bin/update-default-backgrounds $(DESKTOP_BACKGROUND) $(DESKTOP_BACKGROUND_PURPLE) $(LOGIN_BACKGROUND)
	$(foreach SUBDIR,$(SUBDIRS),$(MAKE) -C $(SUBDIR) build &&) true

clean:
	$(foreach SUBDIR,$(SUBDIRS),$(MAKE) -C $(SUBDIR) clean &&) true

install:
	$(foreach SUBDIR,$(SUBDIRS),$(MAKE) -C $(SUBDIR) install &&) true

=== emblems/Makefile ===
TARGET_DIR = usr/share/icons/desktop-base
TARGET_DIR_SCALABLE = $(TARGET_DIR)/scalable/emblems
# Generic folder for alternatives
TARGET_VENDOR = usr/share/icons/vendor
# TODO remove installing to _legacy early in bullseye cycle
TARGET_DIR_LEGACY = usr/share/icons/hicolor
TARGET_DIR_SCALABLE_LEGACY = $(TARGET_DIR_LEGACY)/scalable/emblems

.PHONY: build clean install

EMBLEMS = $(basename $(wildcard *.svg))
$(info Emblems: '$(EMBLEMS)')
# TODO remove installing to _legacy early in bullseye cycle
RESOLUTIONS := 64 128 256
$(info Resolutions: '$(RESOLUTIONS)')
RESOLUTIONS_LEGACY := 16 22 32 36 48 64 128 256
$(info Legacy Resolutions: '$(RESOLUTIONS_LEGACY)')

# The build: target should depend on all PNGs to generate
$(info $(foreach SVG,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS_LEGACY),$(SVG)-$(RES)x$(RES).png)))
build: $(foreach SVG,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS_LEGACY),$(SVG)-$(RES)x$(RES).png))

# Dynamically add rules for PNG generation for each resolution, for each emblem file
define SVG_TO_PNG_RULE
$1-$2x$2.png: $1.svg
	rsvg-convert $$< -w $2 -h $2 -o $$@.raw
	optipng $$@.raw -out $$@
endef
$(foreach EMBLEM,$(EMBLEMS),$(foreach RES,$(RESOLUTIONS_LEGACY),$(eval $(call SVG_TO_PNG_RULE,$(EMBLEM),$(RES)))))

clean:
	rm -f *.png.raw
	rm -f *.png

install:
	# Install PNG icons for each resolution
	for RES in $(RESOLUTIONS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR)/$${RES}x$${RES}/emblems ; \
		install -d $${EMBLEMS_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			PNG_SOURCE=$${EMBLEM}-$${RES}x$${RES}.png ; \
			$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
		done ; \
	done
	# TODO remove installing to _legacy early in bullseye cycle
	for RES in $(RESOLUTIONS_LEGACY) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_LEGACY)/$${RES}x$${RES}/emblems ; \
		install -d $${EMBLEMS_DIR} ; \
		for EMBLEM in $(EMBLEMS) ; do \
			PNG_SOURCE=$${EMBLEM}-$${RES}x$${RES}.png ; \
			$(INSTALL_DATA) $${PNG_SOURCE} $${EMBLEMS_DIR}/$${EMBLEM}.png ; \
			$(INSTALL_DATA) $${EMBLEM}.icon $${EMBLEMS_DIR}/ ; \
		done ; \
	done
	# Install SVG emblems in the scalable emblems dir
	for EMBLEM in $(EMBLEMS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_SCALABLE) ; \
		install -d $${EMBLEMS_DIR} ; \
		$(INSTALL_DATA) $${EMBLEM}.svg $${EMBLEMS_DIR}/ ; \
	done
	for EMBLEM in $(EMBLEMS) ; do \
		EMBLEMS_DIR=$(DESTDIR)/$(TARGET_DIR_SCALABLE_LEGACY) ; \
		install -d $${EMBLEMS_DIR} ; \
		$(INSTALL_DATA) $${EMBLEM}.svg $${EMBLEMS_DIR}/ ; \
		$(INSTALL_DATA) $${EMBLEM}.icon $${EMBLEMS_DIR}/ ; \
	done

include ../Makefile.inc

=== kali-logos/Makefile ===
dir = usr/share/images/kali-logos

.PHONY: build clean install

LOGOS = $(basename $(wildcard *.svg))
$(info Logos: '$(LOGOS)')
RESOLUTIONS := 64 128 256
$(info Resolutions: '$(RESOLUTIONS)')

# The build: target should depend on all PNGs to generate
$(info $(foreach SVG,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES).png)))
build: $(foreach SVG,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES).png))

# Dynamically add rules for PNG generation for each resolution, for each logo file
define SVG_TO_PNG_RULE
$1-$2.png: $1.svg
	rsvg-convert $$< -h $2 -o $$@.raw
	optipng $$@.raw -out $$@
endef
$(foreach LOGO,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(eval $(call SVG_TO_PNG_RULE,$(LOGO),$(RES)))))

clean:
	rm -f *.png.raw
	rm -f *.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.svg) $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png) $(DESTDIR)/$(dir)

include ../Makefile.inc

=== src/themes/Makefile ===
THEME_SRC=Kali-Purple/
SUBDIRS?=$(foreach SUBDIR,gtk3 xfwm4,assets-renderer/$(SUBDIR)) sass

.PHONY: build $(SUBDIRS) clean

build: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C Kali/$@ build
	$(MAKE) -C Kali-Purple/$@ build VARIANT='-Purple'

clean:
	$(foreach THEME_SRC,Kali Kali-Purple,$(foreach SUBDIR,$(SUBDIRS),$(MAKE) -C $(THEME_SRC)/$(SUBDIR) clean &&)) true

=== src/themes/Kali/sass/Makefile ===
include ../../Makefile.inc

THEMES_DIR=../../../../share/themes/
TARGETS=$(patsubst %.scss, %.css, $(wildcard *.scss))

.PHONY: build clean

build: clean
	$(MAKE) $(TARGETS)
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-3.0/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-4.0/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-4.0/
	
	cp gtk3.css $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-3.0/gtk.css
	cp gtk3-dark.css $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-3.0/gtk-dark.css
	cp gtk3-dark.css $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/gtk.css
	cp gtk4.css $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-4.0/gtk.css
	cp gtk4-dark.css $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-4.0/gtk-dark.css
	cp gtk4-dark.css $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-4.0/gtk.css
	
ifeq ($(VARIANT), )
	mkdir -p $(THEMES_DIR)Kali-Light/gnome-shell/
	mkdir -p $(THEMES_DIR)Kali-Dark/gnome-shell/
	cp gnome-shell.css $(THEMES_DIR)Kali-Light/gnome-shell/gnome-shell.css
	cp gnome-shell-dark.css $(THEMES_DIR)Kali-Dark/gnome-shell/gnome-shell.css
endif


gnome%.css: gnome%.scss
	$(SCSS) $< > $@

%.css: %.scss
	$(SCSS) $< > $@
	cat $(wildcard gtk-applications-css/**/*.css) >> $@

clean:
	-rm *.css

=== src/themes/Kali/assets-renderer/xfwm4/Makefile ===
include ../../../Makefile.inc

ASSETS=assets*.svg
INDEX=assets.txt
THEMES_DIR=../../../../../share/themes/

.PHONY: build clean

build: $(ASSETS)
	for src_file in $(ASSETS); \
	do \
		variant=$$(basename $${src_file%.svg}) ; \
		mkdir -p $$variant $$variant@2 ; \
		for i in $$(xargs < $(INDEX)) ; \
		do \
			echo ; \
			echo Rendering $$variant/$$i.png ; \
			$(INKSCAPE) --export-id=$$i \
			            --export-id-only \
			            --export-png=$$variant/$$i.png $$src_file > /dev/null 2>&1 \
			&& $(OPTIPNG) $$variant/$$i.png ; \
			echo ; \
			echo Rendering $$variant@2/$$i.png ; \
			$(INKSCAPE) --export-id=$$i \
			            --export-dpi=192 \
			            --export-id-only \
			            --export-png=$$variant@2/$$i.png $$src_file > /dev/null 2>&1  \
			&& $(OPTIPNG) $$variant@2/$$i.png ; \
		done ; \
	done
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Light/xfwm4/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Dark/xfwm4/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Light-xHiDPI/xfwm4/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Dark-xHiDPI/xfwm4/
	cp assets-light/* $(THEMES_DIR)Kali$(VARIANT)-Light/xfwm4/
	cp assets-dark/* $(THEMES_DIR)Kali$(VARIANT)-Dark/xfwm4/
	cp assets-light@2/* $(THEMES_DIR)Kali$(VARIANT)-Light-xHiDPI/xfwm4/
	cp assets-dark@2/* $(THEMES_DIR)Kali$(VARIANT)-Dark-xHiDPI/xfwm4/

clean:
	-rm -r assets-light assets-light@2 assets-dark assets-dark@2

## kali-themes 2025.3.1

=== debian/changelog ===
kali-themes (2025.3.1) kali-dev; urgency=medium

  * Fix postinst

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 16 Jun 2025 09:33:16 +0700

=== debian/control ===
Source: kali-themes
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Raphaël Hertzog <raphael@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 librsvg2-bin,
 optipng,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-themes.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-themes

Package: kali-themes-common
Architecture: all
Depends:
 kali-wallpapers-2025,
 ${misc:Depends},
Suggests:
 gtk2-engines-pixbuf,
 kali-wallpapers-2019.4,
 kali-wallpapers-2020.4,
 kali-wallpapers-2021.4,
 kali-wallpapers-2022,
 kali-wallpapers-2023,
 kali-wallpapers-2024,
 kali-wallpapers-legacy,
 librsvg2-common,
Description: Kali Themes (data files)
 This package contains multiple themes for kali. It includes graphical toolkit
 themes, icon themes, color schemes, desktop backgrounds and more.
 .
 This package only contains the actual files, it doesn't change any system
 setting and doesn't enable any Kali theme by default.

Package: kali-desktop-base
Architecture: all
Depends:
 kali-themes-common (= ${source:Version}),
 ${misc:Depends},
Description: Kali version of Debian's desktop-base package
 This empty package provides hooks into the various alternatives defined by
 Debian's desktop-base to provide consistent Kali branding through the whole
 distribution.

Package: kali-themes
Architecture: all
Depends:
 fonts-cantarell,
 fonts-firacode,
 gtk2-engines-pixbuf,
 kali-defaults (>= 2024.4.4),
 kali-themes-common (= ${source:Version}),
 librsvg2-common,
 plymouth-label,
 ${misc:Depends},
Breaks:
 gnome-shell (>= 49~),
 gnome-shell (<< 48~),
Description: Configure all desktops to use the Kali theme
 Installing this package should configure most desktops to use the Kali theme
 by default.
 .
 The actual artwork files are provided by kali-themes-common but this package
 provides configuration files and other settings for each desktop so that
 they use the Kali theme by default.

Package: kali-themes-mobile
Architecture: all
Depends:
 kali-themes (= ${source:Version}),
 kali-wallpapers-mobile-2023,
 adw-gtk3-kali,
 ${misc:Depends},
Description: Configure Phosh desktop to use the Kali theme
 Installing this package should configure Phosh desktop to use the Kali theme
 by default.

Package: kali-themes-purple
Architecture: all
Depends:
 kali-themes (= ${source:Version}),
 ${misc:Depends},
Breaks:
 kali-themes (<< 2023.3.1),
Replaces:
 kali-themes (<< 2023.3.1),
Description: Configure all desktops to use the Kali Purple theme
 Installing this package should configure most desktops to use the Kali Purple
 theme by default.
 .
 The actual artwork files are provided by kali-themes-common but this package
 provides configuration files and other settings for each desktop so that
 they use the Kali Purple theme by default.

## kali-themes 2025.3.2

=== debian/changelog ===
kali-themes (2025.3.2) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add icons for ligolo-ng and dvwa
  * Xfce: Allow to configure any interface for the panel plugin

  [ Eko Wibowo ]
  * add interface name parameter for getting vpn ip

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 22 Jul 2025 13:46:42 +0200

## kali-themes 2025.3.3

=== debian/changelog ===
kali-themes (2025.3.3) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * Xfce: Update config for genmon
  * Xfce: genmon remove hardcoded interface

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Sep 2025 10:09:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  librsvg2-bin,
  optipng,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://gitlab.com/kalilinux/packages/kali-themes.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-themes

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	# Move config files that we divert into /usr/share/kali-themes/etc/*
	# and let them be installed by the postinst
	for file in $(shell cat files-to-divert); do \
	    mkdir -p debian/kali-themes/usr/share/kali-themes$$(dirname $$file); \
	    mv debian/kali-themes$$file debian/kali-themes/usr/share/kali-themes$$file; \
	done

override_dh_installgsettings:
	# With priority 21 settings overrides kali-defaults (20) and desktop-base (10)
	dh_installgsettings --priority 21
	cd debian/kali-themes-mobile/usr/share/glib-2.0/schemas/ && \
	  mv 21_kali-themes-mobile.gschema.override 22_kali-themes-mobile.gschema.override
	cd debian/kali-themes-purple/usr/share/glib-2.0/schemas/ && \
	  mv 21_kali-themes-purple.gschema.override 22_kali-themes-purple.gschema.override

## kali-themes 2025.4.2

=== xfce-panel-profiles/Makefile ===
dir = usr/share/xfce4-panel-profiles/layouts
TAROPTS := --sort=name --format ustar

.PHONY: build clean install

build:
	for layout in */; do \
		(cd "$${layout}" \
		   && tar $(TAROPTS) -cvjhf "../$$(basename "$${layout}").tar.bz2" *;) \
	done

clean:
	rm -f *.tar.bz2

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) *.tar.bz2 $(DESTDIR)/$(dir)

include ../Makefile.inc

=== src/themes/Makefile ===
THEME_SRC=Kali-Purple/
SUBDIRS?=$(foreach SUBDIR,gtk3 xfwm4,assets-renderer/$(SUBDIR)) sass

.PHONY: build $(SUBDIRS) clean

build: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C Kali/$@ build
	$(MAKE) -C Kali-Purple/$@ build VARIANT='-Purple'
	$(MAKE) -C Kali-Orange/$@ build VARIANT='-Orange'

clean:
	$(foreach THEME_SRC,Kali Kali-Purple Kali-Orange,$(foreach SUBDIR,$(SUBDIRS),$(MAKE) -C $(THEME_SRC)/$(SUBDIR) clean &&)) true

=== src/themes/Kali/assets-renderer/gtk3/Makefile ===
include ../../../Makefile.inc

SRC_FILE=assets.svg
ASSETS_DIR=assets
SYMBOLIC_ASSETS_DIR=symbolic
INDEX=assets.txt
THEMES_DIR=../../../../../share/themes/

.PHONY: build clean

build: $(SRC_FILE)
	mkdir -p $(ASSETS_DIR)
	cp $(SYMBOLIC_ASSETS_DIR)/* $(ASSETS_DIR)
	for i in $$(xargs < $(INDEX)) ; \
	do \
		echo ; \
		echo Rendering $(ASSETS_DIR)/$$i.png ; \
		$(INKSCAPE) --export-id=$$i \
		            --export-id-only \
		            --export-png=$(ASSETS_DIR)/$$i.png $(SRC_FILE) > /dev/null 2>&1 \
		&& $(OPTIPNG) $(ASSETS_DIR)/$$i.png ; \
		echo ; \
		echo Rendering $(ASSETS_DIR)/$$i@2.png ; \
		$(INKSCAPE) --export-id=$$i \
		            --export-dpi=180 \
		            --export-id-only \
		            --export-png=$(ASSETS_DIR)/$$i@2.png $(SRC_FILE) > /dev/null 2>&1 \
		&& $(OPTIPNG) $(ASSETS_DIR)/$$i@2.png ; \
	done
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/assets/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-4.0/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-3.0/
	mkdir -p $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-4.0/
	cp assets/* $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/assets/
	ln -nrsvf $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/assets/ $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-3.0/assets
	ln -nrsvf $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/assets/ $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-4.0/assets
	ln -nrsvf $(THEMES_DIR)Kali$(VARIANT)-Dark/gtk-3.0/assets/ $(THEMES_DIR)Kali$(VARIANT)-Light/gtk-4.0/assets

clean:
	-rm -r $(ASSETS_DIR)

=== debian/changelog ===
kali-themes (2025.4.2) kali-dev; urgency=medium

  * Compile dconf DBs during postinst

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 03 Oct 2025 12:55:10 +0200

kali-themes (2025.4.1) kali-dev; urgency=medium

  * Replace qterminal ApplicationTransparency with TerminalTransparency
  * Force install qterminal settings

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 29 Sep 2025 16:54:34 +0200

kali-themes (2025.4.0) kali-dev; urgency=medium

  * Icons: Add new kali-menu icons
  * Gnome-Shell: update upstream code for GNOME 49
  * Gnome-Shell: add missing color variable
  * Gnome-Shell: generate themes
  * Bump gnome-shell version
  * Gnome-Shell: add shortcuts for terminal
  * Make kali-themes purple depend on kali-menu-purple
  * Add orange themes for halloween
  * Add theme data for halloween themes
  * Add qt orange color schemes
  * Lower min gnome-shell dependency version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Sep 2025 18:08:28 +0200

## kali-themes 2025.4.3

=== src/themes/Makefile ===
--- 
+++ 
@@ -7,8 +7,14 @@
 
 $(SUBDIRS):
 	$(MAKE) -C Kali/$@ build
+	$(MAKE) -C Kali-Green/$@ build VARIANT='-Green'
+	$(MAKE) -C Kali-Orange/$@ build VARIANT='-Orange'
+	$(MAKE) -C Kali-Pink/$@ build VARIANT='-Pink'
 	$(MAKE) -C Kali-Purple/$@ build VARIANT='-Purple'
-	$(MAKE) -C Kali-Orange/$@ build VARIANT='-Orange'
+	$(MAKE) -C Kali-Red/$@ build VARIANT='-Red'
+	$(MAKE) -C Kali-Slate/$@ build VARIANT='-Slate'
+	$(MAKE) -C Kali-Teal/$@ build VARIANT='-Teal'
+	$(MAKE) -C Kali-Yellow/$@ build VARIANT='-Yellow'
 
 clean:
 	$(foreach THEME_SRC,Kali Kali-Purple Kali-Orange,$(foreach SUBDIR,$(SUBDIRS),$(MAKE) -C $(THEME_SRC)/$(SUBDIR) clean &&)) true

=== debian/changelog ===
kali-themes (2025.4.3) kali-dev; urgency=medium

  * Add all theme color variants to match icon themes
  * Generate all new themes
  * Add xfwm4 themerc files
  * GTK3: Make text in xfdesktop icons visible
  * GTK3: Make text in xfdesktop icons visible (2nd try)
  * GTK3: Fix backgroudn-selected-fg-color for light themes
  * GTK3: Make backgroudn-selected-fg-color more visible
  * Xfce: Make selected desktop icons visible for all color variants
  * Qt: Add new color schemes
  * Qt: use black color for selected item in yellow themes

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 03 Nov 2025 09:35:52 +0100

## kali-themes 2025.4.4

=== src/themes/Kali/assets-renderer/xfwm4/Makefile ===
--- 
+++ 
@@ -36,6 +36,10 @@
 	cp assets-dark/* $(THEMES_DIR)Kali$(VARIANT)-Dark/xfwm4/
 	cp assets-light@2/* $(THEMES_DIR)Kali$(VARIANT)-Light-xHiDPI/xfwm4/
 	cp assets-dark@2/* $(THEMES_DIR)Kali$(VARIANT)-Dark-xHiDPI/xfwm4/
+	cp themerc $(THEMES_DIR)Kali$(VARIANT)-Light/xfwm4/themerc
+	cp themerc-dark $(THEMES_DIR)Kali$(VARIANT)-Dark/xfwm4/themerc
+	cp themerc-xHiDPI $(THEMES_DIR)Kali$(VARIANT)-Light-xHiDPI/xfwm4/themerc
+	cp themerc-dark-xHiDPI $(THEMES_DIR)Kali$(VARIANT)-Dark-xHiDPI/xfwm4/themerc
 
 clean:
 	-rm -r assets-light assets-light@2 assets-dark assets-dark@2

=== debian/changelog ===
kali-themes (2025.4.4) kali-dev; urgency=medium

  * Icons: Update panel icons
  * Icons: Update actions icons
  * Icons: Update symbolic icons
  * Icons: Recover xfce session manager symbolic icons
  * Icons: Recover xfce panel ac-adapter symbolic icon
  * Revert "Icons: Recover xfce panel ac-adapter symbolic icon"
  * Icons: Recover xfce panel ac-adapter symbolic icon
  * Icons: Recover xfce panel symbolic icon
  * Icons: fix symlinks for xfce panel symbolic icons
  * Icons: use 24x24 version for xfce panel symbolic icons
  * Icons: Recover window-maximize-symbolic.svg icon

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Nov 2025 10:48:31 +0100

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
 Package: kali-themes
 Architecture: all
 Depends:
+ dconf-cli,
  fonts-cantarell,
  fonts-firacode,
  gtk2-engines-pixbuf,
@@ -57,7 +58,7 @@
  plymouth-label,
  ${misc:Depends},
 Breaks:
- gnome-shell (>= 49~),
+ gnome-shell (>= 50~),
  gnome-shell (<< 48~),
 Description: Configure all desktops to use the Kali theme
  Installing this package should configure most desktops to use the Kali theme
@@ -82,6 +83,7 @@
 Architecture: all
 Depends:
  kali-themes (= ${source:Version}),
+ kali-menu-purple,
  ${misc:Depends},
 Breaks:
  kali-themes (<< 2023.3.1),

## kali-themes 2025.4.5

=== debian/changelog ===
kali-themes (2025.4.5) kali-dev; urgency=medium

  * Add autostart script to fix genmon config
  * Tweaks to genmon fix
  * Maintain autorun script as it can be unreliable

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 12 Dec 2025 08:37:07 +0100

## kali-themes 2026.1.0

=== debian/changelog ===
kali-themes (2026.1.0) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Grub: Update boot menu background
  * Add crt filter to grub background
  * Grub: change png compression method, as grub didn't like ect
  * Icons: Keep old sickle-tool icon
  * Plymouth: improve script for boot animation
  * Plymouth: increase fade background opacity
  * Plymouth: minify png images
  * Plymouth: fix progress calc
  * Plymouth: fix broken transition after logo animation ends
  * Grub: replace grub theme with background based on default wallpaper
  * Grub: last touches for boot background
  * Bump Standards-Version

  [ Arnaud Rebillout ]
  * Rename sickle-tool to sickle-pdk

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 03 Feb 2026 12:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  librsvg2-bin,
  optipng,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://gitlab.com/kalilinux/packages/kali-themes.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-themes

## kali-themes 2026.1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SUBDIRS=emblems kali-logos xfce-panel-profiles
-DESKTOP_BACKGROUND=kali-tiles.jpg
-DESKTOP_BACKGROUND_PURPLE=kali-tiles-purple.jpg
-LOGIN_BACKGROUND=kali-maze.jpg
+DESKTOP_BACKGROUND=kali-cubes.jpg
+DESKTOP_BACKGROUND_PURPLE=kali-cubes-purple.jpg
+LOGIN_BACKGROUND=kali-cubes2.jpg
 
 build:
 	bin/update-default-backgrounds $(DESKTOP_BACKGROUND) $(DESKTOP_BACKGROUND_PURPLE) $(LOGIN_BACKGROUND)

=== debian/changelog ===
kali-themes (2026.1.1) kali-dev; urgency=medium

  * Set new wallpapers for 2026
  * Change dependency to new 2026 wallpapers package

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 04 Feb 2026 14:24:28 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: kali-themes-common
 Architecture: all
 Depends:
- kali-wallpapers-2025,
+ kali-wallpapers-2026,
  ${misc:Depends},
 Suggests:
  gtk2-engines-pixbuf,
@@ -26,6 +26,7 @@
  kali-wallpapers-2022,
  kali-wallpapers-2023,
  kali-wallpapers-2024,
+ kali-wallpapers-2025,
  kali-wallpapers-legacy,
  librsvg2-common,
 Description: Kali Themes (data files)
